/*  ti_link - link program for TI calculators
 *  Copyright (C) 1999, 2000  Romain Lievin
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef GCALLBUTT_H
#define GCALLBUTT_H

#include <gtk/gtk.h>
#include "defines.h"


/*****************************************************/
/* Callbacks called for the ROM dump size dialog box */
/*****************************************************/

void
rds_radiobutton1_toggled                (GtkToggleButton *togglebutton,
                                        gpointer         user_data);


void
rds_radiobutton2_toggled                (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

/******************************************************/
/* Callbacks called for the screen setup dialog box */
/******************************************************/
void
ssdb_radiobutton11_toggled              (GtkToggleButton *togglebutton,
                                        struct ssdb         *s);

void
ssdb_radiobutton12_toggled              (GtkToggleButton *togglebutton,
                                        struct ssdb         *s);

void
ssdb_radiobutton13_toggled              (GtkToggleButton *togglebutton,
                                        struct ssdb         *s);

void
ssdb_radiobutton21_toggled              (GtkToggleButton *togglebutton,
                                        struct ssdb         *s);

void
ssdb_radiobutton22_toggled              (GtkToggleButton *togglebutton,
                                        struct ssdb         *s);

/******************************************************/
/* Callbacks called for the general config dialog box */
/******************************************************/
void
gdb_radiobutton51_toggled              (GtkToggleButton *togglebutton,
                                        struct gdb         *s);

void
gdb_radiobutton52_toggled              (GtkToggleButton *togglebutton,
                                        struct gdb         *s);

void
gdb_radiobutton31_toggled              (GtkToggleButton *togglebutton,
                                        struct gdb         *s);

void
gdb_radiobutton32_toggled              (GtkToggleButton *togglebutton,
                                        struct gdb         *s);

void
gdb_checkbutton2_toggled               (GtkToggleButton *togglebutton,
                                        struct gdb         *s);

void
gdb_checkbutton1_toggled               (GtkToggleButton *togglebutton,
                                        struct gdb         *s);

void
gdb_checkbutton3_toggled               (GtkToggleButton *togglebutton,
                                        struct gdb         *s);

void
gdb_radiobutton41_toggled              (GtkToggleButton *togglebutton,
                                        struct gdb         *s);

void
gdb_radiobutton43_toggled              (GtkToggleButton *togglebutton,
                                        struct gdb         *s);

void
gdb_radiobutton44_toggled              (GtkToggleButton *togglebutton,
                                        struct gdb         *s);

void
gdb_radiobutton46_toggled              (GtkToggleButton *togglebutton,
                                        struct gdb         *s);

void
gdb_radiobutton42_toggled              (GtkToggleButton *togglebutton,
                                        struct gdb         *s);

void
gdb_radiobutton45_toggled              (GtkToggleButton *togglebutton,
                                        struct gdb         *s);

void
gdb_radiobutton11_toggled              (GtkToggleButton *togglebutton,
                                        struct gdb         *s);

void
gdb_radiobutton12_toggled              (GtkToggleButton *togglebutton,
                                        struct gdb         *s);

void
gdb_radiobutton23_toggled              (GtkToggleButton *togglebutton,
                                        struct gdb         *s);

void
gdb_radiobutton24_toggled              (GtkToggleButton *togglebutton,
                                        struct gdb         *s);

void
gdb_radiobutton22_toggled              (GtkToggleButton *togglebutton,
                                        struct gdb         *s);

void
gdb_radiobutton21_toggled              (GtkToggleButton *togglebutton,
                                        struct gdb         *s);

void
gdb_spinbutton1_changed                (GtkEditable     *editable,
                                        struct gdb         *s);

void
gdb_spinbutton2_changed                (GtkEditable     *editable,
                                        struct gdb         *s);
#endif
