/*  ti_link - link program for TI calculators
 *  Copyright (C) 1999, 2000  Romain Lievin
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef GCALLTREE_H
#define GCALLTREE_H

#include <gtk/gtk.h>

void ctree_button_press(GtkWidget *widget, GdkEventButton *event);
void ctree_unselect_row( GtkWidget      *widget,
			 GtkCTreeNode   *row,
			 gint            column,
			 gpointer        data);
void ctree_select_row( GtkWidget    *widget,
		       GtkCTreeNode *row,
		       gint          column,
		       gpointer      data);
void ctree_click_col( GtkWidget      *widget,
		      gint            column,
		      gpointer        data );
void ctree_expand_tree (GtkWidget *widget, GtkCTreeNode *node, gpointer data);
void ctree_collapse_tree (GtkWidget *item, GtkCTreeNode *node, gpointer data);

#endif
