/*  gtktilink - link program for TI calculators
 *  Copyright (C) 1999, 2000  Romain Lievin
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef INDEP_H
#define INDEP_H

#include "../dep/dep.h"
#include "../misc/misc.h"

#include "cb_calc.h"
#include "cb_misc.h"
#include "defs.h"
#include "files.h"
#include "error.h"
#include "info.h"
#include "main.h"
#include "msgbox.h" // GUI functions
#include "pakfile.h"
#include "paths.h"
#include "pbar.h" // GUI functions
#include "rcfile.h"
#include "refresh.h" // GUI functions
#include "select.h"
#include "struct.h"
#include "version.h"

#endif




